Combines values from n arrays.<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
array.zip(x, [fn], [ths]);
// xs:  arrays
// fn:  combine function (a, b, c, ...)
// ths: this argument
// --> combined values
```

```javascript
const array = require('extra-array');

array.zip([[1, 2, 3], [4, 5, 6]]);
// [ [ 1, 4 ], [ 2, 5 ], [ 3, 6 ] ]

array.zip([[1, 2, 3], [4, 5, 6], [0, 0, 0]]);
// [ [ 1, 4, 0 ], [ 2, 5, 0 ], [ 3, 6, 0 ] ]

array.zip([[1, 2, 3], [4, 5, 6]], (a, b) => a + b);
// [ 5, 7, 9 ]
```

### references

- [Data.List.zipWith(): Haskell](http://hackage.haskell.org/package/base-4.12.0.0/docs/Data-List.html#v:zipWith)
- [_.zipWith: lodash](https://lodash.com/docs/4.17.15#zipWith)
- [zip: Python](https://www.programiz.com/python-programming/methods/built-in/zip)
- [zip: Ruby](https://apidock.com/ruby/Array/zip)
- [List-Extra.zip(): elm](https://package.elm-lang.org/packages/elm-community/list-extra/7.1.0/List-Extra#zip)
